//
//  DetailView.swift
//  CD-SwiftUIBaseball
//
//  Created by bulko on 11/20/24.
//

import SwiftUI

// create a fake Team object just for previewing purposes
var previewTeam = Team(city: "City", name: "Team name", league: "League")

struct DetailView: View {
    
    // pass in the team name as an argument to DetailView()
    var team: Team
    
    var body: some View {
        VStack {
            Text(team.city)
                .font(.system(size:24))
            Text(team.name)
                .font(.system(size: 30))
        }
    }
}

// in the Canvas, just show the fake previewTeam.  This serves NO
// purpose in the real app - just the previw
#Preview {
    DetailView(team:previewTeam)
}
