//
//  ContentView.swift
//  CD-SwiftUIBaseball
//
//  Created by bulko on 11/20/24.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        NavigationView {
            List(teams) { team in
                NavigationLink(
                    destination: DetailView(team:team)) {
                        // added an argument to the following line
                        TeamRow(team: team)
                    }
            }
            .navigationBarTitle(Text("Teams"))
        }
    }
}

#Preview {
    ContentView()
}
