//
//  TeamRow.swift
//  CD-SwiftUIBaseball
//
//  Created by bulko on 11/20/24.
//

import SwiftUI

struct TeamRow: View {
    
    var team: Team
    
    var body: some View {
        VStack(alignment:.leading) {
            Text(team.name)
                .font(.title)
            HStack {
                Text(team.city)
                    .font(.subheadline)
                Spacer()
                Text(team.league)
                    .font(.subheadline)
            }
        }
    }
}

#Preview {
    TeamRow(team:teams[8])
}
